Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicTextPaneUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.TextUI
              javax.swing.plaf.basic.BasicTextUI
                  javax.swing.plaf.basic.BasicEditorPaneUI
                      javax.swing.plaf.basic.BasicTextPaneUI

All Implemented Interfaces:
  ViewFactory

    public class BasicTextPaneUI

extends BasicEditorPaneUI

Provides the look and feel for a styled text editor.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicTextUI
`BasicTextUI.BasicCaret, BasicTextUI.BasicHighlighter`

Constructor Summary
`BasicTextPaneUI()` Creates a new BasicTextPaneUI.

Method Summary
`static ComponentUI` | `createUI(JComponent c)` Creates a UI for the JTextPane.
`protected String` | `getPropertyPrefix()` Fetches the name used as a key to lookup properties through the UIManager.
`void` | `installUI(JComponent c)` Installs the UI for a component.
`protected void` | `propertyChange(PropertyChangeEvent evt)` This method gets called when a bound property is changed on the associated JTextComponent.

Methods inherited from class javax.swing.plaf.basic.BasicEditorPaneUI
`getEditorKit, uninstallUI`

Methods inherited from class javax.swing.plaf.basic.BasicTextUI
`create, create, createCaret, createHighlighter, createKeymap, damageRange, damageRange, getComponent, getKeymapName, getMaximumSize, getMinimumSize, getNextVisualPositionFrom, getPreferredSize, getRootView, getToolTipText, getVisibleEditorRect, installDefaults, installKeyboardActions, installListeners, modelChanged, modelToView, modelToView, paint, paintBackground, paintSafely, setView, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, update, viewToModel, viewToModel`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicTextPaneUI

    public BasicTextPaneUI()

  Creates a new BasicTextPaneUI.

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

  Creates a UI for the JTextPane.

  Parameters:
    `c` - the JTextPane object
  Returns:
    the UI

### getPropertyPrefix

    protected String getPropertyPrefix()

  Fetches the name used as a key to lookup properties through the UIManager. This is used as a prefix to all the standard text properties.

  Overrides:
    `getPropertyPrefix` in class `BasicEditorPaneUI`
  Returns:
    the name ("TextPane")

### installUI

    public void installUI(JComponent c)

  Description copied from class: `BasicEditorPaneUI`
  Installs the UI for a component. This does the following things.
  1. Set the associated component to opaque (can be changed easily by a subclass or on JTextComponent directly), which is the most common case. This will cause the component's background color to be painted.
  2. Install the default caret and highlighter into the associated component.
  3. Attach to the editor and model. If there is no model, a default one is created.
  4. create the view factory and the view hierarchy used to represent the model.

  Overrides:
    `installUI` in class `BasicEditorPaneUI`
  Parameters:
    `c` - the editor component
  See Also:
    `ComponentUI.installUI(javax.swing.JComponent)`

### propertyChange

    protected void propertyChange(PropertyChangeEvent evt)

  This method gets called when a bound property is changed on the associated JTextComponent. This is a hook which UI implementations may change to reflect how the UI displays bound properties of JTextComponent subclasses. If the font, foreground or document has changed, the the appropriate property is set in the default style of the document.

  Overrides:
    `propertyChange` in class `BasicEditorPaneUI`
  Parameters:
    `evt` - the property change event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.